# CGFloat

    extension CGFloat: FieldStorableType

    extension CGFloat: ImportableAttributeType

    extension CGFloat: AllowedObjectiveCKeyPathValue

    extension CGFloat: AllowedObjectiveCAttributeKeyPathValue

    extension CGFloat: QueryableAttributeType

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = CGFloat

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = CGFloat

### CGFloat

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSNumber

- `cs_rawAttributeType`

  #### Declaration

  Swift

      public static let cs_rawAttributeType: NSAttributeType

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @inline(__always)
      public static func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> CGFloat?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType